package dev.shadowsoffire.apotheosis.compat;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.Apotheosis;
import net.minecraftforge.fml.ModList;
import vazkii.patchouli.api.PatchouliAPI;

public class PatchouliCompat {
  public static void register() {
    PatchouliAPI.IPatchouliAPI api = PatchouliAPI.get();
    if (!api.isStub()) {
      api.setConfigFlag("apotheosis:enchanting", Apotheosis.enableEnch);
      api.setConfigFlag("apotheosis:adventure", Apotheosis.enableAdventure);
      api.setConfigFlag("apotheosis:spawner", Apotheosis.enableSpawner);
      api.setConfigFlag("apotheosis:garden", Apotheosis.enableGarden);
      api.setConfigFlag("apotheosis:potion", Apotheosis.enablePotion);
      api.setConfigFlag("apotheosis:village", Apotheosis.enableVillage);
      api.setConfigFlag("apotheosis:wstloaded", ModList.get().isLoaded("wstweaks"));
      api.setConfigFlag("apotheosis:curiosloaded", ModList.get().isLoaded("curios"));
    } 
  }
}
